# QSplitter Class Reference

### [com.trolltech.qt.gui package]

Inherits QFrame.

### Constructor

- void QSplitter(QWidget parent)
- void QSplitter(Orientation arg__1, QWidget parent)

### Constructor Properties

- prototype: The QSplitter prototype object

### Prototype Object Properties

The QSplitter prototype object inherits properties from the QFrame prototype object and also has the following properties.

- void addWidget(QWidget widget)
- int count()
- void getRange(int index, int arg__2, int arg__3)
- QSplitterHandle handle(int index)
- int indexOf(QWidget w)
- void insertWidget(int index, QWidget widget)
- bool isCollapsible(int index)
- QSize minimumSizeHint()
- void readFrom(QTextStream arg__1)
- void refresh()
- bool restoreState(QByteArray state)
- QByteArray saveState()
- void setCollapsible(int index, bool arg__2)
- void setSizes(List list)
- void setStretchFactor(int index, int stretch)
- List sizes()
- QWidget widget(int index)
- void writeTo(QTextStream arg__1)

### Instance Properties

QSplitter objects inherit properties from the QSplitter prototype object and also have the following properties.

- orientation
- opaqueResize
- handleWidth
- childrenCollapsible